
Redmine - Defect #11071

Redmine does not install and run on Fedora 17

2012-06-01 14:26 - Steve Short

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.0.1

Description

Failure occurs during 'rake generate_secret_token;. Output with trace options is here:

rake aborted!

undefined method `active_record' for #<Rails::Application::Configuration:0x9f8bb9c>

/usr/local/share/gems/gems/railties-3.2.3/lib/rails/railtie/configuration.rb:85:in `method_missing'

/var/www/redmine/config/application.rb:26:in `<class:Application>'

/var/www/redmine/config/application.rb:13:in `<module:RedmineApp>'

/var/www/redmine/config/application.rb:12:in `<top (required)>'

/usr/share/rubygems/rubygems/custom_require.rb:36:in `require'

/usr/share/rubygems/rubygems/custom_require.rb:36:in `require'

/var/www/redmine/Rakefile:5:in `<top (required)>'

/usr/local/share/gems/gems/rake-0.9.2.2/lib/rake/rake_module.rb:25:in `load'

/usr/local/share/gems/gems/rake-0.9.2.2/lib/rake/rake_module.rb:25:in `load_rakefile'

/usr/local/share/gems/gems/rake-0.9.2.2/lib/rake/application.rb:501:in `raw_load_rakefile'

/usr/local/share/gems/gems/rake-0.9.2.2/lib/rake/application.rb:82:in `block in load_rakefile'

/usr/local/share/gems/gems/rake-0.9.2.2/lib/rake/application.rb:133:in `standard_exception_handling'

/usr/local/share/gems/gems/rake-0.9.2.2/lib/rake/application.rb:81:in `load_rakefile'

/usr/local/share/gems/gems/rake-0.9.2.2/lib/rake/application.rb:65:in `block in run'

/usr/local/share/gems/gems/rake-0.9.2.2/lib/rake/application.rb:133:in `standard_exception_handling'

/usr/local/share/gems/gems/rake-0.9.2.2/lib/rake/application.rb:63:in `run'

/usr/local/share/gems/gems/rake-0.9.2.2/bin/rake:33:in `<top (required)>'

/usr/local/bin/rake:23:in `load'

/usr/local/bin/rake:23:in `<main>'

Fresh install of fedora 17.  Fresh install of ruby and ruby gems. Followed instructions at 

http://www.redmine.org/projects/redmine/wiki/RedmineInstall.

Running RAILS_ENV=production rake about fails with the same error.

Fedora version 17

mysql version 5.5.2

ruby version 1.9.3p194

rails version 3.2.3

gem list

LOCAL GEMS ***

actionmailer (3.2.3)

actionpack (3.2.3)

activemodel (3.2.3)

activerecord (3.2.3)

activeresource (3.2.3)

activesupport (3.2.3)

arel (3.0.2)

builder (3.0.0)

bundler (1.1.4)

coderay (1.0.6)

erubis (2.7.0)

hike (1.2.1)

i18n (0.6.0)
journey (1.0.3)

json (1.7.3)

mail (2.4.4)

mime-types (1.18)

multi_json (1.3.6)

mysql2 (0.3.11)

net-ldap (0.3.1)

pg (0.13.2)

polyglot (0.3.3)

prototype-rails (3.2.1)

rack (1.4.1)

rack-cache (1.2)

rack-openid (1.3.1)

rack-ssl (1.3.2)

rack-test (0.6.1)

rails (3.2.3)

railties (3.2.3)

rake (0.9.2.2)

rdoc (3.12)

rmagick (2.13.1)

ruby-openid (2.1.8)

sprockets (2.1.3)

sqlite3 (1.3.6)

thor (0.14.6)

tilt (1.3.3)

treetop (1.4.10)

tzinfo (0.3.33)

Related issues:

Has duplicate Redmine - Defect #11094: Redmine 2.0.x (including stable) doesn... Closed

History

#1 - 2012-06-07 21:05 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

According to https://bugzilla.redhat.com/show_bug.cgi?id=829209.

#2 - 2012-06-08 07:04 - Igor Siap

- Status changed from Closed to Reopened

It does not help.

Fedora 17, Redmine 2.0-stable

rpm -q ruby

ruby-1.9.3.194-11.fc17.i686

bundle show

Gems included by the bundle:

  * actionmailer (3.2.5)

  * actionpack (3.2.5)

  * activemodel (3.2.5)

  * activerecord (3.2.5)

  * activeresource (3.2.5)

  * activesupport (3.2.5)

  * arel (3.0.2)

  * bigdecimal (1.1.0)

  * builder (3.0.0)

  * bundler (1.1.4)

  * coderay (1.0.6)

  * erubis (2.7.0)

  * hike (1.2.1)

  * i18n (0.6.0)

  * journey (1.0.3)

  * json (1.7.3)

  * mail (2.4.4)
  * mime-types (1.18)

  * minitest (3.0.1)

  * multi_json (1.3.6)

  * mysql2 (0.3.11)

  * net-ldap (0.3.1)

  * polyglot (0.3.3)

  * prototype-rails (3.2.1)

  * rack (1.4.1)

  * rack-cache (1.2)

  * rack-openid (1.3.1)

  * rack-ssl (1.3.2)

  * rack-test (0.6.1)

  * rails (3.2.5)

  * railties (3.2.5)

  * rake (0.9.2.2)

  * rdoc (3.12)

  * ruby-openid (2.1.8)

  * sprockets (2.1.3)

  * thor (0.15.2)

  * tilt (1.3.3)

  * treetop (1.4.10)

  * tzinfo (0.3.33)

 but anyway the error still exists

rake generate_secret_token --trace

rake aborted!

undefined method `active_record' for #<Rails::Application::Configuration:0x85f5bd8>

/usr/local/share/gems/gems/railties-3.2.5/lib/rails/railtie/configuration.rb:85:in `method_missing'

/mnt/part2/www/redmine/public_html/config/application.rb:26:in `<class:Application>'

/mnt/part2/www/redmine/public_html/config/application.rb:13:in `<module:RedmineApp>'

/mnt/part2/www/redmine/public_html/config/application.rb:12:in `<top (required)>'

/usr/share/rubygems/rubygems/custom_require.rb:36:in `require'

/usr/share/rubygems/rubygems/custom_require.rb:36:in `require'

/mnt/part2/www/redmine/public_html/Rakefile:5:in `<top (required)>'

/usr/local/share/gems/gems/rake-0.9.2.2/lib/rake/rake_module.rb:25:in `load'

/usr/local/share/gems/gems/rake-0.9.2.2/lib/rake/rake_module.rb:25:in `load_rakefile'

/usr/local/share/gems/gems/rake-0.9.2.2/lib/rake/application.rb:501:in `raw_load_rakefile'

/usr/local/share/gems/gems/rake-0.9.2.2/lib/rake/application.rb:82:in `block in load_rakefile'

/usr/local/share/gems/gems/rake-0.9.2.2/lib/rake/application.rb:133:in `standard_exception_handling'

/usr/local/share/gems/gems/rake-0.9.2.2/lib/rake/application.rb:81:in `load_rakefile'

/usr/local/share/gems/gems/rake-0.9.2.2/lib/rake/application.rb:65:in `block in run'

/usr/local/share/gems/gems/rake-0.9.2.2/lib/rake/application.rb:133:in `standard_exception_handling'

/usr/local/share/gems/gems/rake-0.9.2.2/lib/rake/application.rb:63:in `run'

/usr/local/share/gems/gems/rake-0.9.2.2/bin/rake:33:in `<top (required)>'

/usr/local/bin/rake:23:in `load'

/usr/local/bin/rake:23:in `<main>'

#3 - 2012-06-12 08:23 - Bohuslav Kabrda

This bug has been fixed on Fedora side. Update using

"sudo yum update ruby rubygem-bigdecimal --enablerepo=updates-testing"

There is however another similar issue, that I believe should be solved on the Redmine's side: http://www.redmine.org/issues/11141 (When this is

fixed, everything works properly.)

#4 - 2012-06-12 09:40 - Igor Siap

Thanks, but next bug is

RAILS_ENV=production rake db:migrate

rake aborted!

Please install the mysql2 adapter: `gem install activerecord-mysql2-adapter` (cannot load such file --  mysql2

/mysql2)

Tasks: TOP => db:migrate => environment

(See full trace by running task with --trace)

 but when I add symlink

ln -s /usr/local/share/gems/gems/mysql2-0.3.11/lib /usr/share/ruby/mysql2

then:

RAILS_ENV=production rake db:migrate
rake aborted!

uninitialized constant Mysql2::Client::REMEMBER_OPTIONS

Tasks: TOP => db:migrate => environment

(See full trace by running task with --trace)

 
rpm -qa|grep mysql

mysql-libs-5.5.23-1.fc17.i686

mysql-5.5.23-1.fc17.i686

mysql-devel-5.5.23-1.fc17.i686

mysql-server-5.5.23-1.fc17.i686

mysql-connector-odbc-5.1.10-1.fc17.i686

php-mysql-5.4.3-1.fc17.i686

libdbi-dbd-mysql-0.8.3-9.fc17.i686

ruby-mysql-2.8.2-6.fc17.i686

 
rpm -qa|grep ruby

rubygem-rdoc-3.12-3.fc17.noarch

ruby-irb-1.9.3.194-13.fc17.noarch

rubygem-json-1.6.5-1.fc17.i686

ruby-1.9.3.194-13.fc17.i686

rubygem-bigdecimal-1.1.0-13.fc17.i686

ruby-devel-1.9.3.194-13.fc17.i686

ruby-libs-1.9.3.194-13.fc17.i686

rubygem-io-console-0.3-13.fc17.i686

rubygem-minitest-2.10.1-1.fc17.noarch

rubygems-1.8.24-1.fc17.noarch

ruby-mysql-2.8.2-6.fc17.i686

 
bundle show

Gems included by the bundle:

  * actionmailer (3.2.5)

  * actionpack (3.2.5)

  * activemodel (3.2.5)

  * activerecord (3.2.5)

  * activeresource (3.2.5)

  * activesupport (3.2.5)

  * arel (3.0.2)

  * builder (3.0.0)

  * bundler (1.1.4)

  * coderay (1.0.6)

  * erubis (2.7.0)

  * hike (1.2.1)

  * i18n (0.6.0)

  * journey (1.0.3)

  * json (1.7.3)

  * mail (2.4.4)

  * mime-types (1.18)

  * minitest (3.0.1)

  * multi_json (1.3.6)

  * mysql (2.8.1)

  * mysql2 (0.3.11)

  * net-ldap (0.3.1)

  * polyglot (0.3.3)

  * prototype-rails (3.2.1)

  * rack (1.4.1)

  * rack-cache (1.2)

  * rack-openid (1.3.1)

  * rack-ssl (1.3.2)

  * rack-test (0.6.1)

  * rails (3.2.5)

  * railties (3.2.5)

  * rake (0.9.2.2)

  * rdoc (3.12)

  * ruby-openid (2.1.8)

  * sprockets (2.1.3)

  * thor (0.15.2)

  * tilt (1.3.3)

  * treetop (1.4.10)

  * tzinfo (0.3.33)

How it can be fixed?
#5 - 2012-06-14 12:33 - Bohuslav Kabrda

Please see https://bugzilla.redhat.com/show_bug.cgi?id=829209#c23 and the following comment for the solution. Let me know in the bugzilla,

whether it solves the problem for you (and we can close the issue here, too).

#6 - 2012-06-15 07:49 - Igor Siap

Thanks a lot. Full Reinstall helps me.

#7 - 2012-07-01 21:32 - Charlie Mordant

Plugin system doesn't work with f17:

When I execute rake db:migrate it fall with an unknown method error (after correcting the gemFile, adding dependencies gem to the file). O will post

the trace soon...

Regards

#8 - 2015-12-11 13:54 - Toshi MARUYAMA

- Status changed from Reopened to Closed

Too old.
